%define tarball xf86-video-glint
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

# FIXME: DRI support for glint is more or less nonfunctional and unlikely to
# ever be fixed.
%define with_dri        1

Summary:   Xorg X11 glint video driver
Name:      xorg-x11-drv-glint
Version:   1.1.1
Release:   4.1.XOS.1
URL:       http://www.x.org
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:   ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   glint.xinf

ExclusiveArch: %{ix86} alpha

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-2
%if %{with_dri}
BuildRequires: mesa-libGL-devel >= 6.4-4
BuildRequires: libdrm-devel >= 2.0-1
%endif

Requires:  xorg-x11-server-Xorg >= 1.0.99.901

%description 
X.Org X11 glint video driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static \
%if ! %{with_dri}
           --disable-dri
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{moduledir}
%dir %{driverdir}
%{driverdir}/glint_drv.so
%{_datadir}/hwdata/videoaliases/glint.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/glint.4*

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.1.1-4.1.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on xorg-x11-drv-glint-1.1.1-4.1.src.rpm
  (md5sum of original source rpm: 541457ecc6d3ad231646916fac8325b6).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-4
- Re-enable with_dri, as --disable-dri builds are broken (fdo#7405)

* Fri May 26 2006 Mike A. Harris <mharris@redhat.com> 1.1.1-3
- Added with_dri conditionalization, defaulted to DRI being disabled.
- Added "BuildRequires: libdrm-devel >= 2.0-1" for (#192358).
- Added "BuildRequires: mesa-libGL-devel >= 6.4-4".
- Bumped sdk dep to pick up proto-devel indirectly.

* Tue May 23 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-2
- Rebuild for 7.1 ABI fix.

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.1-1
- Update to 1.1.1 from 7.1RC1.

* Wed Feb 22 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.3-2
- Install glint.xinf, which was inadvertently left out of packaging (#182502)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 1.0.1.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Mike A. Harris <mharris@redhat.com> 1.0.1.3-1
- Updated xorg-x11-drv-glint to version 1.0.1.3 from X11R7.0

* Tue Dec 20 2005 Mike A. Harris <mharris@redhat.com> 1.0.1.2-1
- Updated xorg-x11-drv-glint to version 1.0.1.2 from X11R7 RC4
- Removed 'x' suffix from manpage dirs to match RC4 upstream.

* Wed Nov 16 2005 Mike A. Harris <mharris@redhat.com> 1.0.1-1
- Updated xorg-x11-drv-glint to version 1.0.1 from X11R7 RC2

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-glint to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.

* Mon Oct 3 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-1
- Update BuildRoot to use Fedora Packaging Guidelines.
- Deglob file manifest.
- Limit "ExclusiveArch" to i386, alpha

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for glint video driver generated automatically
  by my xorg-driverspecgen script.
